For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList agent webhooks
      • POSTCreate agent webhook
      • GETGet agent webhook
      • DELDelete agent webhook
      • PATCHUpdate agent webhook
Status
LogoLogo
API ReferenceAgent Webhooks

Create agent webhook

POST
https://app.resemble.ai/api/v2/agents/:agent_uuid/webhooks
POST
/api/v2/agents/:agent_uuid/webhooks
$curl -X POST https://app.resemble.ai/api/v2/agents/agent_uuid/webhooks \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "webhook_type": "pre_call",
> "webhook_config": {}
>}'
200Successful
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}
Create a new webhook for an agent
Was this page helpful?
Previous

Get agent webhook

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

agent_uuidstringRequiredformat: "uuid"

Request

This endpoint expects an object.
webhook_typeenumRequired
Allowed values:
webhook_configobjectRequired

Response

Webhook created
successboolean
itemobject
messagestring